# Function concat

- concat<T>(iterator, ...values): AsyncIterable<T>

- The equivalent of Array.prototype.concat for async iterators.

  #### Type Parameters

  - T

  #### Parameters

  - iterator: AsyncIterable<T, any, any>

    The initial async iterator.

  - `Rest`...values: (T | AsyncIterable<T, any, any> | Iterable<T, any, any>)[]

    The values to concatenate with the initial iterator.

  #### Returns AsyncIterable<T>